using System;
using Foxit.PDF;
using Foxit.PDF.PageElements;

using Foxit.PDF.Cryptography;

namespace Web_CSharp.GeneratorExamples
{
    public partial class HelloWorld_RC4128BitEncrypted : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // Create a document and set it's properties
            Document document = new Document();
            document.Creator = "HelloWorld.aspx";
            document.Author = "Foxit Software";
            document.Title = "Hello World RC4 128 Bit Encrypted";

            // Create a page to add to the document
            Page page = new Page(PageSize.Letter, PageOrientation.Portrait, 54.0f);

            // Create a Label to add to the page
            string text = "Hello ASPX C# World...\nFrom Foxit PDF Generator for .NET SDK\nhttp://www.foxitsoftware.com/products/sdk/";
            Label label = new Label(text, 0, 0, 504, 100, Font.Helvetica, 18, TextAlign.Center);

            // Add label to page
            page.Elements.Add(label);

            // Add page to document
            document.Pages.Add(page);

            // Create RC4 128 bit encryption security object that prevents text copying.
            RC4128Security security = new RC4128Security("owner", "user");
            security.AllowCopy = false;

            // Add the security object to the document
            document.Security = security;

            // Outputs the document to the current web page
            document.DrawToWeb("HelloWorld_RC4128BitEncrypted.pdf");
        }
    }
}
